org.h2.dev.util

## Class ThreadDumpInliner

- java.lang.Object
- - org.h2.dev.util.ThreadDumpInliner

    public class ThreadDumpInliner
    extends java.lang.Object

Convert a list of thread dumps into one line per thread.

### Constructor Summary

Constructors
Constructor and Description
`ThreadDumpInliner()`

### Method Summary

Methods
`static void` `main(java.lang.String... a)` Usage: java ThreadDumpInliner threadDump.txt

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ThreadDumpInliner

    public ThreadDumpInliner()

### Method Detail

#### main

    public static void main(java.lang.String... a)
                     throws java.lang.Exception

Usage: java ThreadDumpInliner threadDump.txt

Parameters:
  `a` - the file name
Throws:
  `java.lang.Exception`